: Class ServerBrowser

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.gui
Class ServerBrowser

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--org.w3c.jigadmin.gui.ServerBrowser

public class ServerBrowser
extends javax.swing.JPanel
implements ServerListListener

The ServerBrowser.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary
`protected javax.swing.JFrame` | `frame`
`protected javax.swing.JDialog` | `popup`
`protected ServerList` | `serverList`
`protected javax.swing.JPanel` | `serverPanel`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`protected` | `ServerBrowser(javax.swing.JFrame frame)` Constructor.
`` | `ServerBrowser(javax.swing.JFrame frame, AdminContext ac)` Constructor.

Method Summary
`protected void` | `build()` Build the interface.
`protected void` | `dispose(boolean Ok)` Dispose the popupPasswdDialog and close the frame.
`protected AdminContext` | `getAdminContext()` Returns the AdminContext.
`javax.swing.JFrame` | `getFrame()` Get the frame of ServerBrowser.
`javax.swing.JMenuBar` | `getMenuBar()` Get the ServerBrowser MenuBar.
`RemoteResourceWrapper` | `getRootWrapper()` give the Root Resource of the browser
`protected ServerList` | `getServerList()` Get the ServerList.
`protected void` | `initialize()` Initialize SErverBrowser.
`static void` | `main(java.lang.String[] args)` Run ServerBrowser.
`protected void` | `open(java.net.URL admin)` Open the given URL (in another thread)
`void` | `popupPasswdDialog(java.lang.String name)` Popup a dialog that allows the user to enter his username/password.
`void` | `popupResource(RemoteResourceWrapper rrw)` Popup a dialog that allows the user to edit some resource properties.
`void` | `serverSelected(java.lang.String name, RemoteResourceWrapper rrw)` Show the configuration of the given server
`protected void` | `setAdminURL(java.net.URL adminurl)` Set the admin server URL.
`void` | `setCursor(int cursor)` Set The Cursor.
`boolean` | `shouldRetry(RemoteAccessException ex)` Should I retry?
`static void` | `unBoldSpecificFonts()`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUIClassID, paramString, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInsets, getInsets, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, processComponentKeyEvent, processFocusEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setCursor, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### frame

    protected javax.swing.JFrame frame

### popup

    protected javax.swing.JDialog popup

### serverPanel

    protected javax.swing.JPanel serverPanel

### serverList

    protected ServerList serverList

Constructor Detail

### ServerBrowser

    public ServerBrowser(javax.swing.JFrame frame,
                         AdminContext ac)

  Constructor.
  Parameters:
    `frame` - the JFrame containing ServerBrowser
    `ac` - The Admin context
  See Also:
    `AdminContext`

### ServerBrowser

    protected ServerBrowser(javax.swing.JFrame frame)

  Constructor.
  Parameters:
    `frame` - the JFrame containing ServerBrowser

Method Detail

### getFrame

    public javax.swing.JFrame getFrame()

  Get the frame of ServerBrowser.
  Returns:
    a JFrame instance

### open

    protected void open(java.net.URL admin)

  Open the given URL (in another thread)
  Parameters:
    `admin` - the URL of the admin server.

### setAdminURL

    protected void setAdminURL(java.net.URL adminurl)

  Set the admin server URL.
  Parameters:
    `adminurl` - The admin server URL.

### initialize

    protected void initialize()

  Initialize SErverBrowser.

### build

    protected void build()

  Build the interface.

### serverSelected

    public void serverSelected(java.lang.String name,
                               RemoteResourceWrapper rrw)

  Show the configuration of the given server
  Specified by:
    serverSelected in interface ServerListListener
  Parameters:
    `name` - The server name
    `rrw` - The server RemoteResourceWrapper

### getServerList

    protected ServerList getServerList()

  Get the ServerList.
  Returns:
    a ServerList instance
  See Also:
    `ServerList`

### getRootWrapper

    public RemoteResourceWrapper getRootWrapper()

  give the Root Resource of the browser

### shouldRetry

    public boolean shouldRetry(RemoteAccessException ex)

  Should I retry?
  Parameters:
    `ex` - the RemoteAccessException that occured
  Returns:
    a boolean

### setCursor

    public void setCursor(int cursor)

  Set The Cursor.
  Parameters:
    `cursor` - The Cursor type

### popupPasswdDialog

    public void popupPasswdDialog(java.lang.String name)

  Popup a dialog that allows the user to enter his username/password.
  Parameters:
    `name` - the realm name

### popupResource

    public void popupResource(RemoteResourceWrapper rrw)

  Popup a dialog that allows the user to edit some resource properties.
  Parameters:
    `rrw` - the RemoteResourceWrapper of the resource to edit.

### dispose

    protected void dispose(boolean Ok)

  Dispose the popupPasswdDialog and close the frame.
  Parameters:
    `oK` - if true dispose omly the dialog.

### getAdminContext

    protected AdminContext getAdminContext()

  Returns the AdminContext.
  Returns:
    an AdminContext instance
  See Also:
    `AdminContext`

### getMenuBar

    public javax.swing.JMenuBar getMenuBar()

  Get the ServerBrowser MenuBar.
  Returns:
    a JMenuBar instance.

### unBoldSpecificFonts

    public static void unBoldSpecificFonts()

### main

    public static void main(java.lang.String[] args)

  Run ServerBrowser.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD